{% block before %}{% endblock %}

{{ attach_library('compony/data-table') }}

{% set table_attributes = create_attribute() %}

{%
  set table_classes = [
    'data-table',
    id ? 'data-table--' ~ id|clean_class,
  ]
%}

<div {{ table_attributes.addClass(table_classes) }}>
  <h3>{{ title }}</h3>

  <ul class="data-table__row data-table__row--{{ rows|first|length }} data-table__row--header">
    {% for key, cell in rows|first %}
      <li class="cell cell--header cell--{{ key }} {% if cell.label_invisible %}cell--header--hidden{% endif %}">
        {{ cell.label }}
      </li>
    {% endfor %}
  </ul>

  {% for row in rows %}
    <ul class="data-table__row data-table__row--{{ rows|first|length }}">
      {% for key, cell in row %}
        <li class="cell cell--{{ key }} {% if not cell.content %}cell--empty{% endif %}">
          {# this label is only being used on mobile, so it can be hidden if there is no content in it #}
          {% if cell.content %}
            <span class="cell__label {% if cell.label_invisible %}cell__label--hidden{% endif %}">
              {{ cell.label }}
            </span>
          {% endif %}

          <span class="cell__content">
            {{ cell.content }}
          </span>
        </li>
      {% endfor %}
    </ul>
  {% endfor %}
</div>
